<?php require_once( 'couch/cms.php' ); ?>
<cms:form method="POST" enctype="multipart/form-data" anchor='0'>

   <cms:if k_success >
      <h3>Thank you for contacting us!</h3>
      <cms:capture into='my_message'>
         The following is an email sent by a visitor to your site:
         Name: <cms:show frm_name />
         Email: <cms:show frm_email />
         Message: <cms:show frm_message />
      </cms:capture>
      
      <cms:php>
         EmailEx::send_mail( '<cms:show frm_email />', 'youraddress@gmail.com', 'Feedback from your site', '<cms:show my_message />' );
      </cms:php>
      
   <cms:else />
      <cms:if k_error >
         <ul>
         <cms:each k_error >
            <li><cms:show item /></li>
         </cms:each>
         </ul>
      </cms:if>
      
      Name: <cms:input type="text" name="name" /><br />
      
      Email: <cms:input type="text" name="email" validator='email' required='1' /><br />
      
      Message: <cms:input type="textarea" name="message" /><br />
      
      Upload File: <input type="file" name="my_file_ex"><br />
      <cms:input 
         type="hidden" 
         name="my_file" 
         required='1' 
         validator='EmailEx::validate=max_size:512&allowed_ext:jpeg,jpg,gif,png,txt' 
         value='1' 
      />
      
      <input type="submit" value="Submit" name='submit'>
   </cms:if>
   
</cms:form>


<?php COUCH::invoke(); ?>